Bug 1120581 (CVE-2014-4342) - CVE-2014-4342 krb5: denial of service flaws when handling RFC 1964 tokens
Summary: CVE-2014-4342 krb5: denial of service flaws when handling RFC 1964 tokens
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4342
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140626,reported=2...
Depends On: 1121510 1121511
Blocks: 1101912 1116197 1121513
TreeView+ depends on / blocked
 
Reported: 2014-07-17 08:34 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A buffer over-read flaw was found in the way MIT Kerberos handled certain requests. A remote, unauthenticated attacker who is able to inject packets into a client or server application's GSSAPI session could use this flaw to crash the application.
Clone Of:
Environment:
Last Closed: 2015-03-06 10:08:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1389 normal SHIPPED_LIVE Moderate: krb5 security and bug fix update 2014-10-14 01:27:10 UTC
Red Hat Product Errata RHSA-2015:0439 normal SHIPPED_LIVE Moderate: krb5 security, bug fix and enhancement update 2015-03-05 14:38:14 UTC

Description Huzaifa S. Sidhpurwala 2014-07-17 08:34:49 UTC
In MIT krb5 releases krb5-1.7 and later, an unauthenticated remote attacker with the ability to inject packets into a legitimately established GSSAPI application session can cause a program crash due to invalid memory references when reading beyond the end of a buffer or by causing a null pointer dereference.

References:

http://diswww.mit.edu:8008/menelaus.mit.edu/cvs-krb5/28388
https://github.com/krb5/krb5/commit/fb99962cbd063ac04c9a9d2cc7c75eab73f3533d

Comment 1 Siddharth Sharma 2014-07-17 09:35:23 UTC
A remote unauthenticated attacker is able to send a specially crafted packet to crash a Kerberos server. The kg_unseal_v1 and kg_unseal_v1_iov functions in GSSAPI are reachable externally, and do not handle issues like handling of invalid RFC 1964 tokens and checking for header length less than 22 bytes. CVE-2014-4342 affects MIT krb5 releases krb5-1.7 and later.

Comment 2 Siddharth Sharma 2014-07-17 10:20:10 UTC
Statement:

This issue did not affect the version of krb5 as shipped with Red Hat Enterprise Linux 5.

Comment 4 Martin Prpič 2014-10-08 08:39:14 UTC
IssueDescription:

A buffer over-read flaw was found in the way MIT Kerberos handled certain requests. A remote, unauthenticated attacker who is able to inject packets into a client or server application's GSSAPI session could use this flaw to crash the application.

Comment 5 errata-xmlrpc 2014-10-14 08:10:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html

Comment 6 errata-xmlrpc 2015-03-05 10:01:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0439 https://rhn.redhat.com/errata/RHSA-2015-0439.html


Note You need to log in before you can comment on or make changes to this bug.